Skip to main content
`Ctrl`+`K`

# MatSeqSELLSetSliceHeight

sets the slice height.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqSELLSetSliceHeight(Mat A, PetscInt sliceheight)

Not Collective

## Input Parameters

- A - a MATSEQSELL matrix

- sliceheight - slice height

## Notes

You cannot change the slice height once it have been set.

The slice height must be set before MatSetUp() or MatXXXSetPreallocation() is called.

## See Also

`MATSEQSELL`, `MatSeqSELLGetVarSliceSize()`

## Level

intermediate

## Location

src/mat/impls/sell/seq/sell.c

## Implementations

MatSeqSELLSetSliceHeight_SeqSELL() in src/mat/impls/sell/seq/sell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages